# LI-Pagador

Sistema de integração de pagamento com os meios de pagamento conhecidos


## Apresentação

O Li-Pagador é um projeto voltado para sistemas de pagamento. Se você precisa integrar seu produto com algum meio de pagamento (Bcash, Boleto, Depósito, PayPal, MercadoPago, PagSeguro e etc) você precisa do LI-Pagador.

Ele é um gateway que direciona o fluxo de pagamentos para o meio de pagamento escolhido. Através de um ponto de entrada único, você consegue usar todos os meios de pagamentos instalados no sistema. 

A idéia é que o LI-Pagador seja flexível o suficiente para atender o fluxo padrão de pagamento e que cada pagador forneça as especificações necessárias para que o LI-Pagador faça o seu trabalho.


## Pagadores

Todos os pagadores têm pacote no pypi. Na seção Versões (abaixo) tem a lista das versões atuais

### Já implementados

*  [Bcash] (https://www.bcash.com.br) - [li-Pagador-Bcash] (https://github.com/lojaintegrada/LI-Pagador-Bcash)
*  Boleto Bancário - [LI-Pagador-Boleto] (https://github.com/lojaintegrada/LI-Pagador-Boleto)
*  Deposito Bancário - [LI-Pagador-Deposito] (https://github.com/lojaintegrada/LI-Pagador-Deposito)
*  [Koin] (https://www.koin.com.br) - [LI-Pagador-Koin] (https://github.com/lojaintegrada/LI-Pagador-Koin)
*  [MercadoPago] (https://www.mercadopago.com.br) - [LI-Pagador-MercadoPago] (https://github.com/lojaintegrada/LI-Pagador-MercadoPago)
*  [PagSeguro] (https://www.pagseguro.com.br) - [LI-Pagador-PagSeguro] (https://github.com/lojaintegrada/LI-Pagador-PagSeguro)
*  [PayPal] (https://www.paypal.com.br) - [LI-Pagador-PayPal] (https://github.com/lojaintegrada/LI-Pagador-PayPal)

### No Forno

*  [Rede] (https://www.userede.com.br) - [LI-Pagador-Rede] (https://github.com/lojaintegrada/LI-Pagador-Rede)


### Versões

#### Última estável:

* [li-pagador] (https://pypi.python.org/pypi/li-pagador) - 1.1.24
* [li-pagador-bcash] (https://pypi.python.org/pypi/li-pagador-bcash) - 0.0.11
* [li-pagador-boleto] (https://pypi.python.org/pypi/li-pagador-boleto) - 0.0.17
* [li-pagador-deposito] (https://pypi.python.org/pypi/li-pagador-deposito) - 0.0.9
* [li-pagador-koin] (https://pypi.python.org/pypi/li-pagador-koin) - 1.1.8
* [li-pagador-mercadopago] (https://pypi.python.org/pypi/li-pagador-mercadopago) - 1.1.15
* [li-pagador-pagseguro] (https://pypi.python.org/pypi/li-pagador-pagseguro) - 0.0.29
* [li-pagador-paypal] (https://pypi.python.org/pypi/li-pagador-paypal) - 0.0.18

#### Em desenvolvimento:

* [li-pagador] (https://pypi.python.org/pypi/li-pagador) - 1.2.0
* [li-pagador-bcash] (https://pypi.python.org/pypi/li-pagador-bcash) - 1.0.0
* [li-pagador-boleto] (https://pypi.python.org/pypi/li-pagador-boleto) - 1.0.0
* [li-pagador-deposito] (https://pypi.python.org/pypi/li-pagador-deposito) - 1.0.0
* [li-pagador-koin] (https://pypi.python.org/pypi/li-pagador-koin) - 1.2.0
* [li-pagador-mercadopago] (https://pypi.python.org/pypi/li-pagador-mercadopago) - 1.2.0
* [li-pagador-pagseguro] (https://pypi.python.org/pypi/li-pagador-pagseguro) - 1.0.0
* [li-pagador-paypal] (https://pypi.python.org/pypi/li-pagador-paypal) - 1.0.0
* [li-pagador-rede] (https://pypi.python.org/pypi/li-pagador-rede) - 0.0.1
